//*******************************************************
//       Copyright (c) 2003 Gennady A. Petrov
//*******************************************************
// initialise standart unit (see uses) for use with TFCResStrManager

{$I FCCompilers.inc}

unit FCRSSysConst;

interface

implementation
uses
  SysConst,
  FCResStrings;

initialization

  with FCResStrHolder do
  begin
    SetStringValue('SysConst_SUnknown', @SUnknown);
    SetStringValue('SysConst_SInvalidInteger', @SInvalidInteger);
    SetStringValue('SysConst_SInvalidFloat', @SInvalidFloat);
    SetStringValue('SysConst_SInvalidCurrency', @SInvalidCurrency);
    SetStringValue('SysConst_SInvalidDate', @SInvalidDate);
    SetStringValue('SysConst_SInvalidTime', @SInvalidTime);
    SetStringValue('SysConst_SInvalidDateTime', @SInvalidDateTime);
    SetStringValue('SysConst_SInvalidDateTimeFloat', @SInvalidDateTimeFloat);
    SetStringValue('SysConst_SInvalidTimeStamp', @SInvalidTimeStamp);
    SetStringValue('SysConst_SInvalidGUID', @SInvalidGUID);
    SetStringValue('SysConst_SInvalidBoolean', @SInvalidBoolean);
    SetStringValue('SysConst_STimeEncodeError', @STimeEncodeError);
    SetStringValue('SysConst_SDateEncodeError', @SDateEncodeError);
    SetStringValue('SysConst_SOutOfMemory', @SOutOfMemory);
    SetStringValue('SysConst_SInOutError', @SInOutError);
    SetStringValue('SysConst_SFileNotFound', @SFileNotFound);
    SetStringValue('SysConst_SInvalidFilename', @SInvalidFilename);
    SetStringValue('SysConst_STooManyOpenFiles', @STooManyOpenFiles);
    SetStringValue('SysConst_SAccessDenied', @SAccessDenied);
    SetStringValue('SysConst_SEndOfFile', @SEndOfFile);
    SetStringValue('SysConst_SDiskFull', @SDiskFull);
    SetStringValue('SysConst_SInvalidInput', @SInvalidInput);
    SetStringValue('SysConst_SDivByZero', @SDivByZero);
    SetStringValue('SysConst_SRangeError', @SRangeError);
    SetStringValue('SysConst_SIntOverflow', @SIntOverflow);
    SetStringValue('SysConst_SInvalidOp', @SInvalidOp);
    SetStringValue('SysConst_SZeroDivide', @SZeroDivide);
    SetStringValue('SysConst_SOverflow', @SOverflow);
    SetStringValue('SysConst_SUnderflow', @SUnderflow);
    SetStringValue('SysConst_SInvalidPointer', @SInvalidPointer);
    SetStringValue('SysConst_SInvalidCast', @SInvalidCast);

    {$IFDEF DorCB6}
    SetStringValue('SysConst_SAccessViolation', @SAccessViolation);
    {$ENDIF}

    {$IFDEF DELPHI7}
    SetStringValue('SysConst_SAccessViolationArg3', @SAccessViolationArg3);

    //Linux strings not initialize
    //SetStringValue('SysConst_SAccessViolationArg2', @SAccessViolationArg2);

    SetStringValue('SysConst_SAccessViolationNoArg', @SAccessViolationNoArg);
    {$ENDIF}

    SetStringValue('SysConst_SStackOverflow', @SStackOverflow);
    SetStringValue('SysConst_SControlC', @SControlC);
    SetStringValue('SysConst_SQuit', @SQuit);
    SetStringValue('SysConst_SPrivilege', @SPrivilege);
    SetStringValue('SysConst_SOperationAborted', @SOperationAborted);
    SetStringValue('SysConst_SException', @SException);
    SetStringValue('SysConst_SExceptTitle', @SExceptTitle);

    //Linux strings not initialize
    //SetStringValue('SysConst_SSigactionFailed', @SSigactionFailed);

    SetStringValue('SysConst_SInvalidFormat', @SInvalidFormat);
    SetStringValue('SysConst_SArgumentMissing', @SArgumentMissing);
    SetStringValue('SysConst_SDispatchError', @SDispatchError);
    SetStringValue('SysConst_SReadAccess', @SReadAccess);
    SetStringValue('SysConst_SWriteAccess', @SWriteAccess);
    SetStringValue('SysConst_SResultTooLong', @SResultTooLong);
    SetStringValue('SysConst_SFormatTooLong', @SFormatTooLong);

    SetStringValue('SysConst_SVarArrayCreate', @SVarArrayCreate);
    SetStringValue('SysConst_SVarArrayBounds', @SVarArrayBounds);
    {$IFDEF DELPHI7}
    SetStringValue('SysConst_SVarArrayLocked', @SVarArrayLocked);
    {$ENDIF}
    
    {$IFDEF DELPHI7}
    SetStringValue('SysConst_SVarArrayWithHResult', @SVarArrayWithHResult);

    SetStringValue('SysConst_SInvalidVarCast', @SInvalidVarCast);
    SetStringValue('SysConst_SInvalidVarOp', @SInvalidVarOp);
    SetStringValue('SysConst_SInvalidVarNullOp', @SInvalidVarNullOp);
    SetStringValue('SysConst_SInvalidVarOpWithHResultWithPrefix', @SInvalidVarOpWithHResultWithPrefix);
    SetStringValue('SysConst_SVarTypeRangeCheck1', @SVarTypeRangeCheck1);
    SetStringValue('SysConst_SVarTypeRangeCheck2', @SVarTypeRangeCheck2);
    SetStringValue('SysConst_SVarTypeOutOfRangeWithPrefix', @SVarTypeOutOfRangeWithPrefix);
    SetStringValue('SysConst_SVarTypeAlreadyUsedWithPrefix', @SVarTypeAlreadyUsedWithPrefix);
    SetStringValue('SysConst_SVarTypeNotUsableWithPrefix', @SVarTypeNotUsableWithPrefix);
    {$ENDIF}
    SetStringValue('SysConst_SVarTypeTooManyCustom', @SVarTypeTooManyCustom);


    SetStringValue('SysConst_SVarNotArray', @SVarNotArray);
    SetStringValue('SysConst_SVarTypeUnknown', @SVarTypeUnknown);
    SetStringValue('SysConst_SVarTypeOutOfRange', @SVarTypeOutOfRange);
    SetStringValue('SysConst_SVarTypeAlreadyUsed', @SVarTypeAlreadyUsed);
    SetStringValue('SysConst_SVarTypeNotUsable', @SVarTypeNotUsable);
    {$IFDEF DELPHI7}
    SetStringValue('SysConst_SInvalidVarOpWithHResult', @SInvalidVarOpWithHResult);
    {$ENDIF}

    {$IFDEF DELPHI7}
    SetStringValue('SysConst_SVarTypeCouldNotConvert', @SVarTypeCouldNotConvert);
    SetStringValue('SysConst_SVarTypeConvertOverflow', @SVarTypeConvertOverflow);
    SetStringValue('SysConst_SVarOverflow', @SVarOverflow);
    SetStringValue('SysConst_SVarInvalid', @SVarInvalid);
    SetStringValue('SysConst_SVarBadType', @SVarBadType);
    SetStringValue('SysConst_SVarNotImplemented', @SVarNotImplemented);
    SetStringValue('SysConst_SVarOutOfMemory', @SVarOutOfMemory);
    SetStringValue('SysConst_SVarUnexpected', @SVarUnexpected);
    {$ENDIF}    

    SetStringValue('SysConst_SVarDataClearRecursing', @SVarDataClearRecursing);
    SetStringValue('SysConst_SVarDataCopyRecursing', @SVarDataCopyRecursing);
    SetStringValue('SysConst_SVarDataCopyNoIndRecursing', @SVarDataCopyNoIndRecursing);
    SetStringValue('SysConst_SVarDataInitRecursing', @SVarDataInitRecursing);
    SetStringValue('SysConst_SVarDataCastToRecursing', @SVarDataCastToRecursing);
    SetStringValue('SysConst_SVarIsEmpty', @SVarIsEmpty);
    SetStringValue('SysConst_sUnknownFromType', @sUnknownFromType);
    SetStringValue('SysConst_sUnknownToType', @sUnknownToType);
    SetStringValue('SysConst_SExternalException', @SExternalException);
    SetStringValue('SysConst_SAssertionFailed', @SAssertionFailed);
    SetStringValue('SysConst_SIntfCastError', @SIntfCastError);
    SetStringValue('SysConst_SSafecallException', @SSafecallException);
    SetStringValue('SysConst_SAssertError', @SAssertError);
    SetStringValue('SysConst_SAbstractError', @SAbstractError);
    SetStringValue('SysConst_SModuleAccessViolation', @SModuleAccessViolation);
    SetStringValue('SysConst_SCannotReadPackageInfo', @SCannotReadPackageInfo);
    SetStringValue('SysConst_sErrorLoadingPackage', @sErrorLoadingPackage);
    SetStringValue('SysConst_SInvalidPackageFile', @SInvalidPackageFile);
    SetStringValue('SysConst_SInvalidPackageHandle', @SInvalidPackageHandle);
    SetStringValue('SysConst_SDuplicatePackageUnit', @SDuplicatePackageUnit);

    SetStringValue('SysConst_SOSError', @SOSError);
    SetStringValue('SysConst_SUnkOSError', @SUnkOSError);

    SetStringValue('SysConst_SWin32Error', @SWin32Error);
    SetStringValue('SysConst_SUnkWin32Error', @SUnkWin32Error);

    SetStringValue('SysConst_SNL', @SNL);

    SetStringValue('SysConst_SShortMonthNameJan', @SShortMonthNameJan);
    SetStringValue('SysConst_SShortMonthNameFeb', @SShortMonthNameFeb);
    SetStringValue('SysConst_SShortMonthNameMar', @SShortMonthNameMar);
    SetStringValue('SysConst_SShortMonthNameApr', @SShortMonthNameApr);
    SetStringValue('SysConst_SShortMonthNameMay', @SShortMonthNameMay);
    SetStringValue('SysConst_SShortMonthNameJun', @SShortMonthNameJun);
    SetStringValue('SysConst_SShortMonthNameJul', @SShortMonthNameJul);
    SetStringValue('SysConst_SShortMonthNameAug', @SShortMonthNameAug);
    SetStringValue('SysConst_SShortMonthNameSep', @SShortMonthNameSep);
    SetStringValue('SysConst_SShortMonthNameOct', @SShortMonthNameOct);
    SetStringValue('SysConst_SShortMonthNameNov', @SShortMonthNameNov);
    SetStringValue('SysConst_SShortMonthNameDec', @SShortMonthNameDec);

    SetStringValue('SysConst_SLongMonthNameJan', @SLongMonthNameJan);
    SetStringValue('SysConst_SLongMonthNameFeb', @SLongMonthNameFeb);
    SetStringValue('SysConst_SLongMonthNameMar', @SLongMonthNameMar);
    SetStringValue('SysConst_SLongMonthNameApr', @SLongMonthNameApr);
    SetStringValue('SysConst_SLongMonthNameMay', @SLongMonthNameMay);
    SetStringValue('SysConst_SLongMonthNameJun', @SLongMonthNameJun);
    SetStringValue('SysConst_SLongMonthNameJul', @SLongMonthNameJul);
    SetStringValue('SysConst_SLongMonthNameAug', @SLongMonthNameAug);
    SetStringValue('SysConst_SLongMonthNameSep', @SLongMonthNameSep);
    SetStringValue('SysConst_SLongMonthNameOct', @SLongMonthNameOct);
    SetStringValue('SysConst_SLongMonthNameNov', @SLongMonthNameNov);
    SetStringValue('SysConst_SLongMonthNameDec', @SLongMonthNameDec);

    SetStringValue('SysConst_SShortDayNameSun', @SShortDayNameSun);
    SetStringValue('SysConst_SShortDayNameMon', @SShortDayNameMon);
    SetStringValue('SysConst_SShortDayNameTue', @SShortDayNameTue);
    SetStringValue('SysConst_SShortDayNameWed', @SShortDayNameWed);
    SetStringValue('SysConst_SShortDayNameThu', @SShortDayNameThu);
    SetStringValue('SysConst_SShortDayNameFri', @SShortDayNameFri);
    SetStringValue('SysConst_SShortDayNameSat', @SShortDayNameSat);

    SetStringValue('SysConst_SLongDayNameSun', @SLongDayNameSun);
    SetStringValue('SysConst_SLongDayNameMon', @SLongDayNameMon);
    SetStringValue('SysConst_SLongDayNameTue', @SLongDayNameTue);
    SetStringValue('SysConst_SLongDayNameWed', @SLongDayNameWed);
    SetStringValue('SysConst_SLongDayNameThu', @SLongDayNameThu);
    SetStringValue('SysConst_SLongDayNameFri', @SLongDayNameFri);
    SetStringValue('SysConst_SLongDayNameSat', @SLongDayNameSat);

    //Linux strings not initialize
    //SetStringValue('SysConst_SEraEntries', @SEraEntries);

    SetStringValue('SysConst_SCannotCreateDir', @SCannotCreateDir);
    {$IFDEF DELPHI7}
    SetStringValue('SysConst_SCodesetConversionError', @SCodesetConversionError);
    {$ENDIF}    
  end;

end.


